# render configuration constants
CompletionProcessor_Proposal_ContextInfo_pattern = CompletionProcessor_Proposal_ContextInfo_pattern
CompletionProcessor_Proposal_hoverinfo_pattern = CompletionProcessor_Proposal_hoverinfo_pattern
hover_status_f2_message = Press 'F2' for focus
povray_doc_selector_dialog_title = povray_doc_selector_dialog_title
  
# SDL errors
warn_sdl_macro_has_no_doc = Macro has no doc "{0}"
err_sdl_bad_vector_access = Unknown vector access "{0}"
err_sdl_case_not_inside_switch = #case not inside a #switch
err_sdl_case_param_count_wrong = #case requires 1 parameter. {0} were found instead
err_sdl_equals_expected = equals expected
err_sdl_err_in_include = Errors in included file
err_sdl_expression_expected = Expression () expected 
err_sdl_failed_to_parse_macro_usage = Failed to parse macro usage "{0}"
err_sdl_failed_to_parse_version = Failed to parse #version directive
err_sdl_feature_version_wrong = Feature requires version {0} and version {1} was found instead
err_sdl_for_param_count_wrong = #for loop requires 3 or 4 parameters. {0} were found instead
err_sdl_include_not_found = Include not found "{0}"
err_sdl_invalid_expression = Invalid expression
err_sdl_misplaced_else = #else not inside an #if or #switch
err_sdl_misplaced_end = Unexpected #end
err_sdl_missing_rparen = Can't find right parentheses ')'
err_sdl_non_vector_access = Vector access on a non-vector "{0}"
err_sdl_numeric_operator_unexpected = Numeric operator unexpected
err_sdl_numeric_value_expected = Numeric value expected after "{0}"
err_sdl_param_count_wrong = Expected {0} parameters, found {1}
err_sdl_range_not_inside_switch = #range not inside a #switch
err_sdl_range_param_count_wrong = #range requires 2 parameters. {0} were found instead
err_sdl_semicolon_expected = A semicolon (;) is expected at the end of the directive
err_sdl_string_expected = string expected
err_sdl_unexpected_string = Unexpected string "{0}"
err_sdl_unexpected_token = Unexpected token "{0}"
err_sdl_unexpected_vector = Unexpected vector
err_sdl_unknown_token = Unknown SDL token "{0}"
err_sdl_vector_expected = vector expected after "{0}"